Package twisted :: Package trial :: Module reporter :: Class Reporter

[frames | no frames]

## Class Reporter

Known Subclasses:
  `JellyReporter`, `MinimalReporter`, `TextReporter`

I report results from a run of a test suite.

In all lists below, 'Results' are either a twisted.python.failure.Failure object, an exc_info tuple, or a string.

Method Summary
| `__init__(self)`
| `allPassed(self)`
| `getRunningTime(self)`
| `reportImportError(self, name, exc)`
| `reportResults(self, testClass, method, resultType, results)`
| `reportStart(self, testClass, method)`
| `start(self, expectedTests)`
| `stop(self)`

Instance Variable Summary
bool | `debugger`: Run the debugger when encountering a failing test.
List of (testClass, method, Results) tuples. | `errors`: Tests which have encountered an error.
List of (testClass, method, Results) tuples. | `expectedFailures`: Tests which failed but are marked as 'todo'
int | `expectedTests`: The number of tests I expect to run.
List of (testClass, method, Results) tuples. | `failures`: Tests which have failed.
List of (moduleName, exception) tuples. | `imports`: Import errors encountered while assembling the test suite.
int | `numTests`: The number of tests I have reports for.
List of (testClass, method, Results) tuples. | `skips`: Tests which have been skipped.
List of (testClass, method, Results) tuples. | `unexpectedSuccesses`: Tests which passed but are marked as 'todo'

Instance Variable Details

### debugger

Run the debugger when encountering a failing test.

  Type:
    bool

### errors

Tests which have encountered an error.

  Type:
    List of (testClass, method, Results) tuples.

### expectedFailures

Tests which failed but are marked as 'todo'

  Type:
    List of (testClass, method, Results) tuples.

### expectedTests

The number of tests I expect to run.

  Type:
    int

### failures

Tests which have failed.

  Type:
    List of (testClass, method, Results) tuples.

### imports

Import errors encountered while assembling the test suite.

  Type:
    List of (moduleName, exception) tuples.

### numTests

The number of tests I have reports for.

  Type:
    int

### skips

Tests which have been skipped.

  Type:
    List of (testClass, method, Results) tuples.

### unexpectedSuccesses

Tests which passed but are marked as 'todo'

  Type:
    List of (testClass, method, Results) tuples.

Generated by Epydoc 2.0 on Sat May 15 20:07:39 2004 | http://epydoc.sf.net